Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class DependentPersonType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.DependentPersonType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class DependentPersonType

extends Object
implements Serializable

Generiek type voor een zorgvrager.

Java class for DependentPersonType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DependentPersonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}SSINType"/>
             <element name="NotOfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}AddressType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DependentPersonType()`

Method Summary
`AddressType` | `getNotOfficialAddress()` Gets the value of the notOfficialAddress property.
`String` | `getSSIN()` Gets the value of the ssin property.
`void` | `setNotOfficialAddress(AddressType value)` Sets the value of the notOfficialAddress property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependentPersonType

    public DependentPersonType()

Method Detail

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getNotOfficialAddress

    public AddressType getNotOfficialAddress()

  Gets the value of the notOfficialAddress property.

  Returns:
    possible object is `AddressType`

### setNotOfficialAddress

    public void setNotOfficialAddress(AddressType value)

  Sets the value of the notOfficialAddress property.

  Parameters:
    `value` - allowed object is `AddressType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.